org.eclipse.microprofile.reactive.messaging.spi

## Class ConnectorLiteral

- java.lang.Object
- - jakarta.enterprise.util.AnnotationLiteral<Connector>
  - - org.eclipse.microprofile.reactive.messaging.spi.ConnectorLiteral

All Implemented Interfaces:
  Serializable, Annotation, Connector

    public final class ConnectorLiteral
    extends AnnotationLiteral<Connector>
    implements Connector

Supports inline instantiation of the `Connector` qualifier.

See Also:
  Serialized Form

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Connector` `of(String value)` Creates a new instance of `ConnectorLiteral`.
`String` `value()`

### Methods inherited from class jakarta.enterprise.util.AnnotationLiteral

`annotationType, equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.annotation.Annotation

`annotationType, equals, hashCode, toString`

### Method Detail

#### of

    public static Connector of(String value)

Creates a new instance of `ConnectorLiteral`.

Parameters:
  `value` - the name of the connector, must not be `null`, must not be `blank`
Returns:
  the `ConnectorLiteral` instance.

#### value

    public String value()

Returns:
  the connector name.